import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const Dgd: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 32 32"
      {...props}
      ref={ref}
    >
      <path fillRule="evenodd" d="M16 32C7.163 32 0 24.837 0 16S7.163 0 16 0s16 7.163 16 16-7.163 16-16 16zM5.5 11v10h10V11h-10zm7 3v-3h1v4h-8v-1h7zm-5 3h6v2h-6v-2zm19-4v-2h-10v10h10v-6h-6v2h4v2h-6v-6h8z" />

    </EmotionIconBase>
  )
})

Dgd.displayName = 'Dgd'

export const DgdDimensions = {height: 32, width: 32}
