import * as React from 'react'
import {EmotionIcon, EmotionIconBase, EmotionIconProps} from '@emotion-icons/emotion-icon'

export const Vtho: EmotionIcon = React.forwardRef<SVGSVGElement, EmotionIconProps>((props, ref) => {
  const attrs: React.SVGProps<SVGSVGElement> = {
      "fill": "currentColor",
  "xmlns": "http://www.w3.org/2000/svg",
  }

  return (
    <EmotionIconBase
      iconAttrs={attrs}
      iconVerticalAlign="middle"
      iconViewBox="0 0 32 32"
      {...props}
      ref={ref}
    >
      <path d="M16 32C7.163 32 0 24.837 0 16S7.163 0 16 0s16 7.163 16 16-7.163 16-16 16zm4.272-26.942h-5.763l-4.487 11.78h4.45l-3.94 10.104 12.18-14.3h-5.1l5.683-7.584h-3.023z" />

    </EmotionIconBase>
  )
})

Vtho.displayName = 'Vtho'

export const VthoDimensions = {height: 32, width: 32}
